/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

const login = {
  test: '测试',
  userName: '用户名',
  userName_tips: '请输入用户名',
  userPassword: '密码',
  userPassword_tips: '请输入密码',
  login: '登录'
}

const modal = {
  cancel: '取消',
  confirm: '确定'
}

const theme = {
  light: '浅色',
  dark: '深色'
}

const userDropdown = {
  profile: '用户信息',
  password: '密码管理',
  logout: '退出登录'
}

const menu = {
  home: '首页',
  project: '项目管理',
  resources: '资源中心',
  datasource: '数据源中心',
  monitor: '监控中心',
  security: '安全中心',
  project_overview: '项目概览',
  workflow_relation: '工作流关系',
  workflow: '工作流',
  workflow_definition: '工作流定义',
  workflow_instance: '工作流实例',
  task: '任务',
  task_instance: '任务实例',
  task_definition: '任务定义',
  file_manage: '文件管理',
  udf_manage: 'UDF管理',
  resource_manage: '资源管理',
  function_manage: '函数管理',
  service_manage: '服务管理',
  master: 'Master',
  worker: 'Worker',
  db: 'DB',
  statistical_manage: '统计管理',
  statistics: 'Statistics',
  audit_log: '审计日志',
  tenant_manage: '租户管理',
  user_manage: '用户管理',
  alarm_group_manage: '告警组管理',
  alarm_instance_manage: '告警实例管理',
  worker_group_manage: 'Worker分组管理',
  yarn_queue_manage: 'Yarn队列管理',
  environment_manage: '环境管理',
  token_manage: '令牌管理',
  task_group_manage: '任务组管理',
  task_group_option: '任务组配置',
  task_group_queue: '任务组队列'
}

const home = {
  task_state_statistics: '任务状态统计',
  process_state_statistics: '流程状态统计',
  process_definition_statistics: '流程定义统计',
  number: '数量',
  state: '状态'
}

const password = {
  edit_password: '修改密码',
  password: '密码',
  confirm_password: '确认密码',
  password_tips: '请输入密码',
  confirm_password_tips: '请输入确认密码',
  two_password_entries_are_inconsistent: '两次密码输入不一致',
  submit: '提交'
}

const profile = {
  profile: '用户信息',
  edit: '编辑',
  username: '用户名',
  email: '邮箱',
  phone: '手机',
  state: '状态',
  permission: '权限',
  create_time: '创建时间',
  update_time: '更新时间',
  administrator: '管理员',
  ordinary_user: '普通用户',
  edit_profile: '编辑用户',
  username_tips: '请输入用户名',
  email_tips: '请输入邮箱',
  email_correct_tips: '请输入正确格式的邮箱',
  phone_tips: '请输入手机号',
  state_tips: '请选择状态',
  enable: '启用',
  disable: '禁用'
}

const monitor = {
  master: {
    cpu_usage: '处理器使用量',
    memory_usage: '内存使用量',
    load_average: '平均负载量',
    create_time: '创建时间',
    last_heartbeat_time: '最后心跳时间',
    directory_detail: '目录详情',
    host: '主机',
    directory: '注册目录'
  },
  worker: {
    cpu_usage: '处理器使用量',
    memory_usage: '内存使用量',
    load_average: '平均负载量',
    create_time: '创建时间',
    last_heartbeat_time: '最后心跳时间',
    directory_detail: '目录详情',
    host: '主机',
    directory: '注册目录'
  },
  db: {
    health_state: '健康状态',
    max_connections: '最大连接数',
    threads_connections: '当前连接数',
    threads_running_connections: '数据库当前活跃连接数'
  },
  statistics: {
    command_number_of_waiting_for_running: '待执行的命令数',
    failure_command_number: '执行失败的命令数',
    tasks_number_of_waiting_running: '待运行任务数',
    task_number_of_ready_to_kill: '待杀死任务数'
  },
  audit_log: {
    user_name: '用户名称',
    resource_type: '资源类型',
    project_name: '项目名称',
    operation_type: '操作类型',
    create_time: '创建时间',
    start_time: '开始时间',
    end_time: '结束时间',
    user_audit: '用户管理审计',
    project_audit: '项目管理审计',
    create: '创建',
    update: '更新',
    delete: '删除',
    read: '读取'
  }
}

const resource = {
  file: {
    file_manage: '文件管理',
    create_folder: '创建文件夹',
    create_file: '创建文件',
    upload_files: '上传文件',
    enter_keyword_tips: '请输入关键词',
    id: '编号',
    name: '名称',
    user_name: '所属用户',
    whether_directory: '是否文件夹',
    file_name: '文件名称',
    description: '描述',
    size: '大小',
    update_time: '更新时间',
    operation: '操作',
    edit: '编辑',
    rename: '重命名',
    download: '下载',
    delete: '删除',
    yes: '是',
    no: '否',
    folder_name: '文件夹名称',
    enter_name_tips: '请输入名称',
    enter_description_tips: '请输入描述',
    enter_content_tips: '请输入资源内容',
    enter_suffix_tips: '请输入文件后缀',
    file_format: '文件格式',
    file_content: '文件内容',
    delete_confirm: '确定删除吗?',
    confirm: '确定',
    cancel: '取消',
    success: '成功',
    file_details: '文件详情',
    return: '返回',
    save: '保存'
  },
  udf: {
    udf_resources: 'UDF资源',
    create_folder: '创建文件夹',
    upload_udf_resources: '上传UDF资源',
    id: '编号',
    udf_source_name: 'UDF资源名称',
    whether_directory: '是否文件夹',
    file_name: '文件名称',
    file_size: '文件大小',
    description: '描述',
    create_time: '创建时间',
    update_time: '更新时间',
    operation: '操作',
    yes: '是',
    no: '否',
    edit: '编辑',
    download: '下载',
    delete: '删除',
    success: '成功',
    folder_name: '文件夹名称',
    upload: '上传',
    upload_files: '上传文件',
    file_upload: '文件上传',
    delete_confirm: '确定删除吗?',
    enter_keyword_tips: '请输入关键词',
    enter_name_tips: '请输入名称',
    enter_description_tips: '请输入描述'
  },
  function: {
    udf_function: 'UDF函数',
    create_udf_function: '创建UDF函数',
    edit_udf_function: '编辑UDF函数',
    id: '编号',
    udf_function_name: 'UDF函数名称',
    class_name: '类名',
    type: '类型',
    description: '描述',
    jar_package: 'jar包',
    update_time: '更新时间',
    operation: '操作',
    rename: '重命名',
    edit: '编辑',
    delete: '删除',
    success: '成功',
    package_name: '包名类名',
    udf_resources: 'UDF资源',
    instructions: '使用说明',
    upload_resources: '上传资源',
    udf_resources_directory: 'UDF资源目录',
    delete_confirm: '确定删除吗?',
    enter_keyword_tips: '请输入关键词',
    enter_udf_unction_name_tips: '请输入UDF函数名称',
    enter_package_name_tips: '请输入包名类名',
    enter_select_udf_resources_tips: '请选择UDF资源',
    enter_select_udf_resources_directory_tips: '请选择UDF资源目录',
    enter_instructions_tips: '请输入使用说明',
    enter_name_tips: '请输入名称',
    enter_description_tips: '请输入描述'
  },
  task_group_option: {
    id: '编号',
    manage: '任务组管理',
    option: '任务组配置',
    create: '创建任务组',
    edit: '编辑任务组',
    delete: '删除任务组',
    view_queue: '查看任务组队列',
    switch_status: '切换任务组状态',
    code: '任务组编号',
    name: '任务组名称',
    project_name: '项目名称',
    resource_pool_size: '资源容量',
    resource_used_pool_size: '已用资源',
    desc: '描述信息',
    status: '任务组状态',
    enable_status: '启用',
    disable_status: '不可用',
    please_enter_name: '请输入任务组名称',
    please_enter_desc: '请输入任务组描述',
    please_enter_resource_pool_size: '请输入资源容量大小',
    resource_pool_size_be_a_number: '资源容量大小必须大于等于1的数值',
    please_select_project: '请选择项目',
    create_time: '创建时间',
    update_time: '更新时间',
    actions: '操作',
    please_enter_keywords: '请输入搜索关键词'
  },
  task_group_queue: {
    id: '编号',
    actions: '操作',
    task_name: '任务名称',
    task_group_name: '任务组名称',
    project_name: '项目名称',
    process_name: '工作流名称',
    process_instance_name: '工作流实例',
    queue: '任务组队列',
    priority: '组内优先级',
    priority_be_a_number: '优先级必须是大于等于0的数值',
    force_starting_status: '是否强制启动',
    in_queue: '是否排队中',
    task_status: '任务状态',
    view_task_group_queue: '查看任务组队列',
    the_status_of_waiting: '等待入队',
    the_status_of_queuing: '排队中',
    the_status_of_releasing: '已释放',
    modify_priority: '修改优先级',
    start_task: '强制启动',
    priority_not_empty: '优先级不能为空',
    priority_must_be_number: '优先级必须是数值',
    please_select_task_name: '请选择节点名称',
    create_time: '创建时间',
    update_time: '更新时间',
    edit_priority: '修改优先级'
  }
}

const project = {
  list: {
    create_project: '创建项目',
    edit_project: '编辑项目',
    project_list: '项目列表',
    project_tips: '请输入项目名称',
    description_tips: '请输入项目描述',
    username_tips: '请输入所属用户',
    project_name: '项目名称',
    project_description: '项目描述',
    owned_users: '所属用户',
    workflow_define_count: '工作流定义数',
    process_instance_running_count: '正在运行的流程数',
    description: '描述',
    create_time: '创建时间',
    update_time: '更新时间',
    operation: '操作',
    edit: '编辑',
    delete: '删除',
    confirm: '确定',
    cancel: '取消',
    delete_confirm: '确定删除吗?'
  },
  workflow: {
    workflow_relation: '工作流关系',
    create_workflow: '创建工作流',
    workflow_name: '工作流名称',
    current_selection: '当前选择',
    online: '已上线',
    offline: '已下线',
    refresh: '刷新',
    show_hide_label: '显示 / 隐藏标签',
    workflow_offline: '工作流下线',
    schedule_offline: '调度下线',
    schedule_start_time: '定时开始时间',
    schedule_end_time: '定时结束时间',
    crontab_expression: 'Crontab',
    workflow_publish_status: '工作流上线状态',
    schedule_publish_status: '定时状态'
  },
  task: {
    task_name: '任务名称',
    workflow_instance: '工作流实例',
    executor: '执行用户',
    node_type: '节点类型',
    state: '状态',
    submit_time: '提交时间',
    start_time: '开始时间',
    end_time: '结束时间',
    duration: '运行时间',
    retry_count: '重试次数',
    dry_run_flag: '空跑标识',
    host: '主机',
    operation: '操作',
    submitted_success: '提交成功',
    running_execution: '正在运行',
    ready_pause: '准备暂停',
    pause: '暂停',
    ready_stop: '准备停止',
    stop: '停止',
    failure: '失败',
    success: '成功',
    need_fault_tolerance: '需要容错',
    kill: '已被杀',
    waiting_thread: '等待线程',
    waiting_depend: '等待依赖完成',
    delay_execution: '延时执行',
    forced_success: '强制成功',
    serial_wait: '串行等待',
    view_log: '查看日志',
    download_log: '下载日志'
  },
  dag: {
    createWorkflow: '创建工作流',
    search: '搜索',
    download_png: '下载工作流图片',
    fullscreen_open: '全屏',
    fullscreen_close: '退出全屏',
    workflow_version: '工作流版本信息',
    save: '保存',
    close: '关闭',
    format: '格式化'
  }
}

const security = {
  tenant: {
    tenant_manage: '租户管理',
    create_tenant: '创建租户',
    search_tips: '请输入关键词',
    num: '编号',
    tenant_code: '操作系统租户',
    description: '描述',
    queue_name: '队列',
    create_time: '创建时间',
    update_time: '更新时间',
    actions: '操作',
    edit_tenant: '编辑租户',
    tenant_code_tips: '请输入操作系统租户',
    queue_name_tips: '请选择队列',
    description_tips: '请输入描述',
    delete_confirm: '确定删除吗?',
    edit: '编辑',
    delete: '删除'
  },
  alarm_group: {
    create_alarm_group: '创建告警组',
    edit_alarm_group: '编辑告警组',
    search_tips: '请输入关键词',
    alert_group_name_tips: '请输入告警组名称',
    alarm_plugin_instance: '告警组实例',
    alarm_plugin_instance_tips: '请选择告警组实例',
    alarm_group_description_tips: '请输入告警组描述',
    alert_group_name: '告警组名称',
    alarm_group_description: '告警组描述',
    create_time: '创建时间',
    update_time: '更新时间',
    operation: '操作',
    delete_confirm: '确定删除吗?',
    edit: '编辑',
    delete: '删除'
  },
  worker_group: {
    create_worker_group: '创建Worker分组',
    edit_worker_group: '编辑Worker分组',
    search_tips: '请输入关键词',
    operation: '操作',
    delete_confirm: '确定删除吗?',
    edit: '编辑',
    delete: '删除',
    group_name: '分组名称',
    group_name_tips: '请输入分组名称',
    worker_addresses: 'Worker地址',
    worker_addresses_tips: '请选择Worker地址',
    create_time: '创建时间',
    update_time: '更新时间'
  },
  yarn_queue: {
    create_queue: '创建队列',
    edit_queue: '编辑队列',
    search_tips: '请输入关键词',
    queue_name: '队列名',
    queue_value: '队列值',
    create_time: '创建时间',
    update_time: '更新时间',
    operation: '操作',
    edit: '编辑',
    queue_name_tips: '请输入队列名',
    queue_value_tips: '请输入队列值'
  },
  environment: {
    create_environment: '创建环境',
    edit_environment: '编辑环境',
    search_tips: '请输入关键词',
    edit: '编辑',
    delete: '删除',
    environment_name: '环境名称',
    environment_config: '环境配置',
    environment_desc: '环境描述',
    worker_groups: 'Worker分组',
    create_time: '创建时间',
    update_time: '更新时间',
    operation: '操作',
    delete_confirm: '确定删除吗?',
    environment_name_tips: '请输入环境名',
    environment_config_tips: '请输入环境配置',
    environment_description_tips: '请输入环境描述',
    worker_group_tips: '请选择Worker分组'
  },
  token: {
    create_token: '创建令牌',
    edit_token: '编辑令牌',
    search_tips: '请输入关键词',
    user: '用户',
    user_tips: '请选择用户',
    token: '令牌',
    token_tips: '请输入令牌',
    expiration_time: '失效时间',
    expiration_time_tips: '请选择失效时间',
    create_time: '创建时间',
    update_time: '更新时间',
    operation: '操作',
    edit: '编辑',
    delete: '删除',
    delete_confirm: '确定删除吗?'
  },
  user: {
    user_manage: '用户管理',
    create_user: '创建用户',
    update_user: '更新用户',
    delete_user: '删除用户',
    delete_confirm: '确定删除吗?',
    delete_confirm_tip: '删除用户属于危险操作，请谨慎操作！',
    index: '序号',
    username: '用户名',
    username_exists: '用户名已存在',
    username_rule_msg: '请输入用户名',
    user_password: '密码',
    user_password_rule_msg: '请输入包含字母和数字，长度在6～20之间的密码',
    user_type: '用户类型',
    tenant_code: '租户',
    tenant_id_rule_msg: '请选择租户',
    queue: '队列',
    email: '邮件',
    email_rule_msg: '请输入正确的邮箱',
    phone: '手机',
    phone_rule_msg: '请输入正确的手机号',
    state: '状态',
    create_time: '创建时间',
    update_time: '更新时间',
    operation: '操作',
    edit: '编辑',
    delete: '删除',
    save_error_msg: '保存失败，请重试',
    delete_error_msg: '删除失败，请重试'
  },
  alarm_instance: {
    search_input_tips: '请输入关键字',
    alarm_instance_manage: '告警实例管理',
    alarm_instance: '告警实例',
    serial_number: '编号',
    alarm_instance_name: '告警实例名称',
    alarm_instance_name_tips: '请输入告警实例名称',
    alarm_plugin_name: '告警插件名称',
    create_time: '创建时间',
    update_time: '更新时间',
    operation: '操作',
    edit: '编辑',
    delete: '删除',
    confirm: '确定',
    cancel: '取消',
    submit: '提交',
    create: '创建',
    select_plugin: '选择插件',
    select_plugin_tips: '请选择告警插件',
    instance_parameter_exception: '实例参数异常',
    WebHook: 'Web钩子',
    webHook: 'Web钩子',
    IsEnableProxy: '启用代理',
    Proxy: '代理',
    Port: '端口',
    User: '用户',
    corpId: '企业ID',
    secret: '密钥',
    Secret: '密钥',
    users: '群员',
    userSendMsg: '群员信息',
    agentId: '应用ID',
    showType: '内容展示类型',
    receivers: '收件人',
    receiverCcs: '抄送人',
    serverHost: 'SMTP服务器',
    serverPort: 'SMTP端口',
    sender: '发件人',
    enableSmtpAuth: '请求认证',
    Password: '密码',
    starttlsEnable: 'STARTTLS连接',
    sslEnable: 'SSL连接',
    smtpSslTrust: 'SSL证书信任',
    url: 'URL',
    requestType: '请求方式',
    headerParams: '请求头',
    bodyParams: '请求体',
    contentField: '内容字段',
    Keyword: '关键词',
    userParams: '自定义参数',
    path: '脚本路径',
    type: '类型',
    sendType: '发送类型',
    username: '用户名'
  }
}

const datasource = {
  datasource: '数据源',
  create_datasource: '创建数据源',
  search_input_tips: '请输入关键字',
  serial_number: '编号',
  datasource_name: '数据源名称',
  datasource_name_tips: '请输入数据源名称',
  datasource_user_name: '所属用户',
  datasource_type: '数据源类型',
  datasource_parameter: '数据源参数',
  description: '描述',
  description_tips: '请输入描述',
  create_time: '创建时间',
  update_time: '更新时间',
  operation: '操作',
  click_to_view: '点击查看',
  delete: '删除',
  confirm: '确定',
  cancel: '取消',
  create: '创建',
  edit: '编辑',
  success: '成功',
  test_connect: '测试连接',
  ip: 'IP主机名',
  ip_tips: '请输入IP主机名',
  port: '端口',
  port_tips: '请输入端口',
  database_name: '数据库名',
  database_name_tips: '请输入数据库名',
  oracle_connect_type: '服务名或SID',
  oracle_connect_type_tips: '请选择服务名或SID',
  oracle_service_name: '服务名',
  oracle_sid: 'SID',
  jdbc_connect_parameters: 'jdbc连接参数',
  principal_tips: '请输入Principal',
  krb5_conf_tips: '请输入kerberos认证参数 java.security.krb5.conf',
  keytab_username_tips: '请输入kerberos认证参数 login.user.keytab.username',
  keytab_path_tips: '请输入kerberos认证参数 login.user.keytab.path',
  format_tips: '请输入格式为',
  connection_parameter: '连接参数',
  user_name: '用户名',
  user_name_tips: '请输入用户名',
  user_password: '密码',
  user_password_tips: '请输入密码'
}

export default {
  login,
  modal,
  theme,
  userDropdown,
  menu,
  home,
  password,
  profile,
  monitor,
  resource,
  project,
  security,
  datasource
}
